Cargo.toml 1.68 KB
Newer Older
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
[package]
name = "pallet-bridge-eth-poa"
description = "A Substrate Runtime module that is able to verify PoA headers and their finality."
version = "0.1.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
license = "GPL-3.0-or-later WITH Classpath-exception-2.0"

[dependencies]
codec = { package = "parity-scale-codec", version = "2.0.0", default-features = false }
libsecp256k1 = { version = "0.3.4", default-features = false, features = ["hmac"], optional = true }
serde = { version = "1.0", optional = true }

# Bridge dependencies

bp-eth-poa = { path = "../../primitives/ethereum-poa", default-features = false }

# Substrate Dependencies

20
21
22
23
24
25
frame-benchmarking = { git = "https://github.com/paritytech/substrate", branch = "master" , default-features = false, optional = true }
frame-support = { git = "https://github.com/paritytech/substrate", branch = "master" , default-features = false }
frame-system = { git = "https://github.com/paritytech/substrate", branch = "master" , default-features = false }
sp-io = { git = "https://github.com/paritytech/substrate", branch = "master" , default-features = false }
sp-runtime = { git = "https://github.com/paritytech/substrate", branch = "master" , default-features = false }
sp-std = { git = "https://github.com/paritytech/substrate", branch = "master" , default-features = false }
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47

[dev-dependencies]
libsecp256k1 = { version = "0.3.4", features = ["hmac"] }
hex-literal = "0.3"

[features]
default = ["std"]
std = [
	"bp-eth-poa/std",
	"codec/std",
	"frame-benchmarking/std",
	"frame-support/std",
	"frame-system/std",
	"serde",
	"sp-io/std",
	"sp-runtime/std",
	"sp-std/std",
]
runtime-benchmarks = [
	"frame-benchmarking",
	"libsecp256k1",
]